curl --request GET \
--url https://api.agentic.scope3.com/api/v2/buyer/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'{
"campaign": {
"campaignId": "cmp_987654321",
"advertiserId": "12345",
"name": "Summer 2025 Campaign",
"status": "DRAFT",
"optimizationApplyMode": "AUTO",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"brief": "<string>",
"flightDates": {
"startDate": "2025-01-15T00:00:00Z",
"endDate": "2025-03-31T23:59:59Z"
},
"budget": {
"total": 1,
"currency": "USD",
"dailyCap": 1,
"pacing": "EVEN"
},
"constraints": {
"channels": [
"<string>"
],
"countries": [
"<string>"
]
},
"performanceConfig": {
"optimizationGoals": [
{
"kind": "event",
"eventSources": [
{
"eventSourceId": "website_pixel",
"eventType": "page_view",
"customEventName": "<string>",
"valueField": "value",
"valueFactor": 1
}
],
"target": {
"kind": "cost_per",
"value": 25
},
"attributionWindow": {
"postClick": {
"interval": 7,
"unit": "days"
},
"postView": {
"interval": 1,
"unit": "days"
}
},
"priority": 1
}
]
},
"catalogId": 42,
"discoveryId": "session_abc123",
"productCount": 15,
"products": [
{
"productId": "prod_123"
}
],
"audiences": [
{
"audienceId": "aud_123",
"name": "Tech Enthusiasts 25-34",
"status": "READY",
"type": "TARGET",
"enabledAt": "2025-03-01T12:00:00Z"
}
],
"mediaBuys": [
{
"mediaBuyId": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"products": [
{
"productId": "<string>",
"salesAgentName": "<string>",
"budget": 123,
"budgetCurrency": "<string>"
}
],
"packages": [
{
"packageId": "<string>",
"status": "<string>",
"productIds": [
"<string>"
],
"budget": 123,
"budgetCurrency": "<string>",
"pacing": "<string>",
"bidPrice": 123,
"delivery": {
"impressions": 123,
"spend": 123,
"clicks": 123
}
}
]
}
]
}
}Get detailed information about a specific campaign.
curl --request GET \
--url https://api.agentic.scope3.com/api/v2/buyer/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'{
"campaign": {
"campaignId": "cmp_987654321",
"advertiserId": "12345",
"name": "Summer 2025 Campaign",
"status": "DRAFT",
"optimizationApplyMode": "AUTO",
"createdAt": "2025-01-15T10:30:00Z",
"updatedAt": "2025-01-20T14:45:00Z",
"brief": "<string>",
"flightDates": {
"startDate": "2025-01-15T00:00:00Z",
"endDate": "2025-03-31T23:59:59Z"
},
"budget": {
"total": 1,
"currency": "USD",
"dailyCap": 1,
"pacing": "EVEN"
},
"constraints": {
"channels": [
"<string>"
],
"countries": [
"<string>"
]
},
"performanceConfig": {
"optimizationGoals": [
{
"kind": "event",
"eventSources": [
{
"eventSourceId": "website_pixel",
"eventType": "page_view",
"customEventName": "<string>",
"valueField": "value",
"valueFactor": 1
}
],
"target": {
"kind": "cost_per",
"value": 25
},
"attributionWindow": {
"postClick": {
"interval": 7,
"unit": "days"
},
"postView": {
"interval": 1,
"unit": "days"
}
},
"priority": 1
}
]
},
"catalogId": 42,
"discoveryId": "session_abc123",
"productCount": 15,
"products": [
{
"productId": "prod_123"
}
],
"audiences": [
{
"audienceId": "aud_123",
"name": "Tech Enthusiasts 25-34",
"status": "READY",
"type": "TARGET",
"enabledAt": "2025-03-01T12:00:00Z"
}
],
"mediaBuys": [
{
"mediaBuyId": "<string>",
"name": "<string>",
"status": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"products": [
{
"productId": "<string>",
"salesAgentName": "<string>",
"budget": 123,
"budgetCurrency": "<string>"
}
],
"packages": [
{
"packageId": "<string>",
"status": "<string>",
"productIds": [
"<string>"
],
"budget": 123,
"budgetCurrency": "<string>",
"pacing": "<string>",
"bidPrice": 123,
"delivery": {
"impressions": 123,
"spend": 123,
"clicks": 123
}
}
]
}
]
}
}API key or access token
Unique identifier for the campaign
1"cmp_987654321"
Get campaign
Response containing a single campaign
Campaign resource representation
Show child attributes